org.kie.internal.task.query

## Enum TaskQueryBuilder.OrderBy

- java.lang.Object
- - java.lang.Enum<TaskQueryBuilder.OrderBy>
  - - org.kie.internal.task.query.TaskQueryBuilder.OrderBy

- All Implemented Interfaces:
    Serializable, Comparable<TaskQueryBuilder.OrderBy>
  Enclosing interface:
    TaskQueryBuilder

      public static enum TaskQueryBuilder.OrderBy
      extends Enum<TaskQueryBuilder.OrderBy>

  /** An enum used to specify the criteria for ordering the results of the query

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `createdBy`
    `createdOn`
    `processInstanceId`
    `taskId`
    `taskName`
    `taskStatus`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TaskQueryBuilder.OrderBy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TaskQueryBuilder.OrderBy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### taskId

          public static final TaskQueryBuilder.OrderBy taskId

    - #### processInstanceId

          public static final TaskQueryBuilder.OrderBy processInstanceId

    - #### taskName

          public static final TaskQueryBuilder.OrderBy taskName

    - #### taskStatus

          public static final TaskQueryBuilder.OrderBy taskStatus

    - #### createdOn

          public static final TaskQueryBuilder.OrderBy createdOn

    - #### createdBy

          public static final TaskQueryBuilder.OrderBy createdBy

  - ### Method Detail

    - #### values

          public static TaskQueryBuilder.OrderBy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TaskQueryBuilder.OrderBy c : TaskQueryBuilder.OrderBy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TaskQueryBuilder.OrderBy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.